#!/bin/sh
echo PATH=$PATH
if [ ! -f bin/guidemo.sh ]; then
  echo "guidemo.sh: must be run from the Coherence installation directory."
  exit
fi

if [ -f $JAVA_HOME/bin/java ]; then
  JAVAEXEC=$JAVA_HOME/bin/java
else
  JAVAEXEC=java
fi

COHERENCE_HOME=`pwd`
$JAVAEXEC -showversion -jar $COHERENCE_HOME/lib/demo.jar $1